Kea: isc::lease_query::LeaseQueryImplFactory Class Reference

| Kea 3.0.3-git

isc::lease_query::LeaseQueryImplFactory Class Reference

`#include <lease_query_impl_factory.h>`

## Static Public Member Functions
static void | createImpl (uint16_t family, isc::data::ConstElementPtr config)
| Creates the LeaseQueryImpl singleton.
static void | destroyImpl ()
| Destroy the LeaseQueryImpl singleton.
static const LeaseQueryImpl & | getImpl ()
| Fetch the LeaseQueryImpl singleton.
static LeaseQueryImpl & | getMutableImpl ()
| Fetch the LeaseQueryImpl singleton.

## Detailed Description

Definition at line 20 of file lease_query_impl_factory.h.

## Member Function Documentation

## ◆ createImpl()

void LeaseQueryImplFactory::createImpl | ( | uint16_t | family,
|  | isc::data::ConstElementPtr | config )
| static

Creates the LeaseQueryImpl singleton.

Parameters

  family | protocol family to support (AF_INET or AF_INET6)
  config | config parameters to use

Definition at line 20 of file lease_query_impl_factory.cc.

Referenced by load().

## ◆ destroyImpl()

void LeaseQueryImplFactory::destroyImpl | ( |  | ) |
| static

Destroy the LeaseQueryImpl singleton.

Definition at line 29 of file lease_query_impl_factory.cc.

Referenced by load(), and unload().

## ◆ getImpl()

const LeaseQueryImpl & LeaseQueryImplFactory::getImpl | ( |  | ) |
| static

Fetch the LeaseQueryImpl singleton.

Returns
  a reference to the singleton

Exceptions

  Unexpected | if no instance exists.

Definition at line 34 of file lease_query_impl_factory.cc.

References isc_throw.

Referenced by buffer4_receive(), buffer6_receive(), isc::lease_query::BulkLeaseQuery6::bulkQueryByIpAddress(), cb6_updated(), and dhcp6_srv_configured().

## ◆ getMutableImpl()

LeaseQueryImpl & LeaseQueryImplFactory::getMutableImpl | ( |  | ) |
| static

Fetch the LeaseQueryImpl singleton.

Returns
  a reference to the singleton

Exceptions

  Unexpected | if no instance exists.

Definition at line 43 of file lease_query_impl_factory.cc.

References isc_throw.

Referenced by dhcp4_srv_configured(), dhcp6_srv_configured(), and unload().

The documentation for this class was generated from the following files:

- lease_query_impl_factory.h
- lease_query_impl_factory.cc